# superb 0.95.15 (August 18th, 2024)

* added the "antagonize" (boolean) option to violin plots.

# superb 0.95.14 (August 11th, 2024)

* updated the use of & vs. && according to new R credo
* corrected a bug related to LD adjustment in mixed designs

# superb 0.95.13 (August 3rd, 2024)

* Modified violin plots so that half-violins can be displayed
* The violinParams now includes 
  - direction (+1= left-half; -1=right-half; 0=symmetrical);
  - push (to translate half away from the medial line)
  - with these modifications, corset plots can be made easily
    by superimposing a violin plot with halves and individualline plot

# superb 0.95.12 (May 30th, 2024)

* Revise FYI message for un-balanced between-group designs
* Corrected a small bug for un-balanced within-subject designs
* Added a check for correlations on data without variance

# superb 0.95.11 (May 7th, 2024)

* Added local decorrelation with option "LDr" where r is the radius.
* Small correction to lineBand without between-subject factors

# superb 0.95.10 (March 9th, 2024)

* Regular maintenance.

# superb 0.95.9 (February 8th, 2024)

* Added a new plot layout, boxplot, to display box plots.
* Adjusted testthat tests following new release of ggplot2
* Added unitaryAlpha technique to compute average correlation
* Simplified documentation for within-subject designs.

# superb 0.95.83 (November 11th, 2023)

* Made a message shown based on option

# superb 0.95.82 (August 19th, 2023)

* Corrected labeling of factors.

# superb 0.95.81 (August 13th, 2023)

* Updated CustomizingSuperbPlots vignettes.

# superb 0.95.8 (June 13th, 2023)

* Added superbToWide to ease the conversion to wide format
* A few tiny corrections to the documentation
* Updated references
* Note that updates are spaced more and more as the library is now very stable

# superb 0.95.7 (January 19th, 2023)

* Added pairwise deletion for the computation of the mean correlation in case of missing data with CA
* Removed ggplot2 depleted functions "aes_string" in favor of "aes"
* Removed ggplot2 depleted attribute "size" in favor of "linewidth"
* Added the lineBand plot in the Shiny interface

# superb 0.95.6 (December 24th, 2022)

* Added documentation related to plotting frequencies
* Harmonized a bit the other vignettes' format.
* Updated version in shinyapps.io

# superb 0.95.5 (November 18th, 2022)

* Tweaked column selection so that the variable argument can be
  given columns names in different order than the order in the dataframe. 

# superb 0.95.4 (September 9th, 2022)

* tweaked "pointing" so that for error bars not lying on both side of the central tendency, 
  the line does not pass throught the central tendency.

# superb 0.95.3 (July 9th, 2022)

* updated documentation.

# superb 0.95.2 (July 9th, 2022)

* added an option "pointing" to error bars so that they can be pointing;
  "up", "down" or go in "both" directions (default).

# superb 0.95.1 (May 12th, 2022)

* Corrected the bug from 0.9.7.9 (kept bugging me!);
* Reduced image resolution in vignettes.

# superb 0.95.0 (May 10th, 2022)

* Added a new layout to display precision using a band rather than error bars;
* changed numbering of versions to two-digits version code.

# superb 0.9.7.9 (January 15th, 2022)

* Corrected a problem in the order of the conditions when more then 10 were present.

# superb 0.9.7.8 (December 10th, 2021)

* Corrected a few typos;
* The population size in superbShiny() was limited to 99,999. Corrected.

# superb 0.9.7.7 (November 19th, 2021)

* Added a vignette for superb with SPSS;
* Corrected superbShiny to show the doi and remove graphic directives;
* Updated the shinyapps.io version to match this one.

# superb 0.9.7.6 (November 4th, 2021)

* corrected one bug regarding variables with similar names;
* integrated tibble data format into superb;
* some output were missing in VignetteC and a backtick missing in VignetteA.

# superb 0.9.7.5 (June 23rd, 2021)

* official release on CRAN of ``superb`` with the graphical user interface
``superbShiny()``;
* small changes to vignette TheMakingOf.

# superb 0.9.7.4 (June 18th, 2021)

* beta release of ``superbShiny()``, a graphical user interface to facilitate the
  use of superbPlot.

# superb 0.9.7.0 (May 28th, 2021)

* Added a vignette on how to implement Reference Intervals (RI) into ``superb``;
* Implemented ``makeTransparent()`` to ease the creation of plots with multiple error bars;
* Added a distinct vertical color, ``vcolor``, to the ``geom_superberrorbar()``;
* Added an argument "WSDesign" (default = "fullfactorial") when the within-subject
    factors are not full-factorial;
* Added a vignette on how to plot non-full factorial datasets.

# superb 0.9.6.0 (April 30th, 2021)

* Integrated an example of robust statistic in Vignette/Article 4: 
   the 20% trimmed mean and its confidence interval;
* Added ``showSignificance()`` to annotate group differences;
* Added a note when missing data are in the dataframe;
* Added automatic handling of initializers (see Vignette/Article 9 for an example);
* Added a vignette dedicated to how to illustrate Cohen's d;
* Added a ``geom_superberrorbar()`` with additional options for the tip markers;
* ... all this on its way to the next release version 0.9.7.5, codename: 
   "two-tail 95% confident". Stay tune as the best is still to come (and it is shiny!)

# superb 0.9.5.0 (April 13th, 2021)

* Second release on CRAN, codename "95% confident";
* Expanded documentation once more.

# superb 0.9.4.7 (April 10th, 2021)

* Added two vignettes.

# superb 0.9.4.6 (April 7th, 2021)

* Problem with CAPITAL grd corrected;
* Rounded the numbers in the messages to 4 decimals (that should be more than enough!);
* All the message/warnings/stop generated by suberb are now prefixed with "superb::";
* Added function WelchDegreeOfFreedom();
* Added a message that indicate tryon adjustment value;
* Added a vignette on Welch, Tryon & superb.

# superb 0.9.4.5 (April 1st, 2021)

* Implemented the raincloud plots;
* Converted messages from warning() to message().

# superb 0.9.4.4 (March 2021)

* Expanded function names lambda, epsilon;
* Made built-in bootstrap estimators for SE and PI;
* Renamed option "debug" into "feedback";
* Changed debug information for GRD;
* Converted in GRD the level ranges, e.g., "diff(1,5)", into numeric levels.

# superb 0.9.4.3 (March 2021)

* Added superbData as a shortcut to superbPlot(... showPlot = FALSE);
* Changed debug information for suberbPlot and superbData;
* Created a logo and improved web pages;
* Revised documentation.

# superb 0.9.4.2 (March 2021)

* Initial release of the R version on CRAN;
* Added optional argument facetParams to the plotting functions;
* Made the plot function customizable;
* Wrote vignettes.

# superb 0.9.4.0 (September 2020)

* Beta release of superb on GitHub;
* Renamed to superb (SUmmary Plot with ERror Bars);
* packaged together GRD and MeanPlot;
* Added pre and post-processing operators;
* Transcoded MeanPlot from Mathematica to R.

# GRD for R 1.0 (January 2019)

* Initial release of GRD 2.0 for the R platform.

# MeanPlot 0.5.0 (March 2017)

* Last stable version maintained on Mathematica; Cousineau (2017) doi:10.5709/acp-0214-z;
* Updated legend manipulation following the release of Mathematica 9.0.

# GRD for SPSS 2.0 (October 2015)

* Release of GRD 1.0 and 2.0 for SPSS.

# GRD for SPSS 1.0 (July 2014)

* Release of GRD 1.0 and 2.0 for SPSS.

# MeanPlot 0.4.6 (and prior; 2009-2015)

* Development versions of MeanPlot on the Mathematica framework;
* Added "popSize" and "CRS" from Cousineau & Laurencelle (2016) doi:10.1037/met0000055;
* Grouped the various adjustments into an "adjustments" list;
* Added LM decorrelation method.
